# Uses of Class
net.postgis.jdbc.geometry.binary.ValueSetter

Packages that use ValueSetter
Package
Description
net.postgis.jdbc.geometry.binary

## Uses of ValueSetter in net.postgis.jdbc.geometry.binary

Subclasses of ValueSetter in net.postgis.jdbc.geometry.binary
Modifier and Type
Class
Description
`static class`
`ValueSetter.NDR`
`static class`
`ValueSetter.XDR`
Methods in net.postgis.jdbc.geometry.binary that return ValueSetter
Modifier and Type
Method
Description
`static ValueSetter`
BinaryWriter.`valueSetterForEndian(ByteSetter bytes, byte endian)`
Get the appropriate ValueGetter for my endianness
Methods in net.postgis.jdbc.geometry.binary with parameters of type ValueSetter
Modifier and Type
Method
Description
`protected void`
BinaryWriter.`writeGeometry(Geometry geom, ValueSetter dest)`
Parse a geometry starting at offset.